# Function map

- map<T, K, V>(obj, callback): {
  [K in keyof T]: V
  }

- Similar to Array.map, except that it maps over an object's own enumerable properties.

  #### Type Parameters

  - T extends object
  - K extends string | number | symbol
  - V

  #### Parameters

  - obj: T

    The object to map over.

  - callback: ((value: T[K], key: K, obj: T) => V)

    The callback to invoke for each property. The callback's return value will be used as the new value for the given property in the returned object.

    - - (value, key, obj): V

      - #### Parameters

        - value: T[K]
        - key: K
        - obj: T

        #### Returns V

  #### Returns {
  [K in keyof T]: V
  }

  An object containing the new values produced by the callback function.